/*******************************************************************************
 * FoxStatTypes generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxStatTypes extends Object
    native;

struct native WeaponConfigIDsInfo
{
    var int LoadoutIndex;
    var int SlotID;
    var string WeaponName;
    var int ReceiverID;
    var int DepotID;
    var int GearID;
    var int MuzzleID;
    var int StockID;
    var int BarrelID;
    var int MagazineID;
    var int ScopeID;
    var int HangerID;
    var int GripID;
    var int CamoID;

    structdefaultproperties
    {
        LoadoutIndex=0
        SlotID=0
        WeaponName=""
        ReceiverID=0
        DepotID=0
        GearID=0
        MuzzleID=0
        StockID=0
        BarrelID=0
        MagazineID=0
        ScopeID=0
        HangerID=0
        GripID=0
        CamoID=0
    }
};

struct native LoadoutGearConfigIDSInfo
{
    var int LoadoutIndex;
    var int BodyCamoID;
    var int UpperBodyID;
    var int LowerBodyID;
    var int HelmetID;
    var int BadgeID;
    var int Gear_R1ID;
    var int Gear_R2ID;
    var int Gear_L1ID;
    var int Gear_L2ID;
    var int TacticalID;
    var int ButtPackID;
    var int AvatarID;
    var int bFemale;

    structdefaultproperties
    {
        LoadoutIndex=0
        BodyCamoID=0
        UpperBodyID=0
        LowerBodyID=0
        HelmetID=0
        BadgeID=0
        Gear_R1ID=0
        Gear_R2ID=0
        Gear_L1ID=0
        Gear_L2ID=0
        TacticalID=0
        ButtPackID=0
        AvatarID=0
        bFemale=0
    }
};
